package org.springblade.customer.listener;

import com.alibaba.excel.context.AnalysisContext;
import com.alibaba.excel.event.AnalysisEventListener;
import lombok.extern.slf4j.Slf4j;
import org.springblade.customer.dto.FctCsIrregularMoneyDTO;
import org.springframework.stereotype.Component;

import java.util.ArrayList;
import java.util.List;
import java.util.Map;

@Slf4j
@Component
public class FctCsIrregularMoneyListener extends AnalysisEventListener<FctCsIrregularMoneyDTO> {

	public List<FctCsIrregularMoneyDTO> list = new ArrayList<FctCsIrregularMoneyDTO>();

	public FctCsIrregularMoneyListener() {
	}


	@Override
	public void invokeHeadMap(Map<Integer, String> headMap, AnalysisContext context) {
	}

	@Override
	public void invoke(FctCsIrregularMoneyDTO t, AnalysisContext analysisContext) {
		list.add(t);
	}

	@Override
	public void doAfterAllAnalysed(AnalysisContext analysisContext) {
	}


}
